Download it now!
Bug 97327 - Calc Compare Document (Spreadsheet Compare) doesn't works well when comparing documents with different number of Sheets.
Summary: Calc Compare Document (Spreadsheet Compare) doesn't works well when comparing...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 97328 (view as bug list)
Depends on:
Blocks: Calc-UX Document-Comparison
  Show dependency treegraph
 
Reported: 2016-01-22 20:06 UTC by Francisco José Cañizares Santofimia
Modified: 2019-10-31 08:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Francisco José Cañizares Santofimia 2016-01-22 20:06:09 UTC
How to reproduce:

1. Have one spreadsheet with one or more sheets (preferably filled with some data).
2. Copy this spreadsheet and add another Sheet into it and fill this new one sheet with some data.
3. Do Edit > Compare Document and compare against the other (doesn't matter if you do it with the first document or the one opened it happens in work ways).
4. ??? No changes.

Calc Compare Document (Spreadsheet Compare) should show in the "Manage Changes" list of "Compare Document" that a New Sheet has been added (shall it show the values in the new sheet as changes? Let's discuss that in the bug :) ).
Comment 1 raal 2016-01-23 18:24:18 UTC
I can confirm with Version: 5.2.0.0.alpha0+
Build ID: e1367aaf7d9cc93bbbe3ba64015fde3469c61c6e
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-01-20_23:32:01
and LO 3.5
Comment 2 raal 2016-01-23 18:34:55 UTC
*** Bug 97328 has been marked as a duplicate of this bug. ***
Comment 3 QA Administrators 2017-03-06 14:44:54 UTC Comment hidden (obsolete)
Comment 4 Francisco José Cañizares Santofimia 2017-03-06 22:30:21 UTC
LibreOffice 5.3.0.3 - Linux.

No changes since reported, this one is still present.
Comment 5 McDummy 2017-11-23 09:37:29 UTC
Still present in 5.4.3.2 Windows, 32bit
Comment 6 QA Administrators 2018-11-24 03:44:19 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug